Macで「the requested PHP extension zip is missing from your system.」の解決方法

Composerで環境を整えるためにMacbookでcomposer installを実行してみるとこのようなエラーが出ました。

facebook/webdriver 1.7.1 requires ext-zip * -> the requested PHP extension zip is missing from your system.

訳してみると、リクエストされたPHP拡張zipがあなたのシステムにありません。
今回はこれの原因と解決方法を書きます。

解決方法

PHPをインストールする。

brew install php

原因

PHPが入っているのになぜまたPHPをインストールするかと言うと、Macにデフォルトで入っているPHPには件の「PHP extension zip」が入っていないからです。
それでPHPをインストールすると基本的なExtensionが全部入ってくるので、問題の解決になります。
もし、PHPをインストールしてみてもまだエラーが表示される場合は、下記を実行してみてください。

brew unlink php && brew link php

参考

https://stackoverflow.com/questions/46058457/cant-install-laravel-installer-via-composer/59446276#59446276

php

Posted by YongJin Kim